#ifndef CAMERA_DRIVING_PERCEPTION_FOUR_CLASS_H
#define CAMERA_DRIVING_PERCEPTION_FOUR_CLASS_H

#include "ara/log/logging.h"
#include "ara/exec/execution_client.h"
#include "MbufModule.h"
// #include "wrapper/camera_driving_perception_four_wrapper.h"

class CameraDrivingPerceptionFour
{
public:
    CameraDrivingPerceptionFour();
    void init();

protected:
    ara::log::Logger &logger{ara::log::CreateLogger("C_D", "SoftwareMotion Camera Driving Module", ara::log::LogLevel::kDebug)};

private:
    // CameraDrivingPerceptionFourWrapper _wrapper;
    mbuf::MbufModule mbufManager;
};

#endif /* CAMERA_DRIVING_PERCEPTION_FOUR_CLASS_H */